{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.Task":{"type":"object","description":"Asynchronous operation","properties":{"createdAt":{"type":"string","description":"Creation date of the task","format":"date-time","readOnly":true},"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"finishedAt":{"type":"string","description":"Ending date of the task","nullable":true,"format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the related resource","readOnly":true},"message":{"type":"string","description":"Description of the task","readOnly":true},"progress":{"type":"array","description":"Progress steps of the asynchronous operation","items":{"$ref":"#/components/schemas/common.TaskProgress"},"readOnly":true},"startedAt":{"type":"string","description":"Starting date of the task","nullable":true,"format":"date-time","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.TaskStatusEnum"}],"description":"Current global status of the task","readOnly":true},"type":{"type":"string","description":"Type of the task","readOnly":true},"updatedAt":{"type":"string","description":"Last update of the task","format":"date-time","readOnly":true}}},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"common.TaskProgress":{"type":"object","description":"Detailed information about an asynchronous operation progress steps","properties":{"name":{"type":"string","description":"Progress step name","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.TaskStatusEnum"}],"description":"Current status of the progress step","readOnly":true}}},"common.TaskStatusEnum":{"type":"string","description":"Current status of a task","enum":["DONE","ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"domain.Alldom":{"type":"object","description":"An AllDom resource","properties":{"checksum":{"type":"string","description":"Computed hash used to control concurrent modification requests","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/domain.AlldomCurrentState"}],"description":"The representation of the AllDom's current state","readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the AllDom resource","nullable":true,"items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Reflects the readiness of the AllDom resource","readOnly":true}}},"domain.AlldomCurrentState":{"type":"object","description":"Current state of the AllDom service","properties":{"domains":{"type":"array","description":"The list of domain names that can be managed by the AllDom","items":{"$ref":"#/components/schemas/domain.resource.currentState.AlldomDomain"},"readOnly":true},"extensions":{"type":"array","description":"The list of domain names extensions used by the AllDom","items":{"$ref":"#/components/schemas/domain.resource.currentState.ExtensionsEnum"},"readOnly":true},"name":{"type":"string","description":"The name of the AllDom","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/domain.resource.currentState.AlldomTypesEnum"}],"description":"The type of the AllDom","readOnly":true}}},"domain.AlldomWithIAM":{"type":"object","description":"An AllDom resource","properties":{"checksum":{"type":"string","description":"Computed hash used to control concurrent modification requests","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/domain.AlldomCurrentState"}],"description":"The representation of the AllDom's current state","readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the AllDom resource","nullable":true,"items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"iam":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata"}],"description":"IAM resource metadata","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Reflects the readiness of the AllDom resource","readOnly":true}}},"domain.resource.ProtectionStateEnum":{"type":"string","description":"Authorized values for protectionState field","enum":["PROTECTED","UNPROTECTED"]},"domain.resource.currentState.AlldomDomain":{"type":"object","description":"Main information about the AllDom's domain names","properties":{"dnssecActivated":{"type":"boolean","description":"Whether the DNSSEC is activated for the domain or not","nullable":true,"readOnly":true},"expiresAt":{"type":"string","description":"expiresAt date of the domain name registration","nullable":true,"format":"date-time","readOnly":true},"extension":{"type":"string","description":"The extension of the domain name","nullable":true,"readOnly":true},"mainState":{"allOf":[{"$ref":"#/components/schemas/domain.resource.currentState.MainStateEnum"}],"description":"The domain's main state","nullable":true,"readOnly":true},"name":{"type":"string","description":"The domain name","readOnly":true},"nameServers":{"type":"array","description":"The name servers used by the domain name","nullable":true,"items":{"$ref":"#/components/schemas/domain.resource.currentState.dnsConfiguration.NameServer"},"readOnly":true},"protectionState":{"allOf":[{"$ref":"#/components/schemas/domain.resource.ProtectionStateEnum"}],"description":"The domain's protection state","nullable":true,"readOnly":true},"registrationStatus":{"allOf":[{"$ref":"#/components/schemas/domain.resource.currentState.RegistrationStatusEnum"}],"description":"Whether the domain is registered and attached to the AllDom pack or not","readOnly":true},"suspensionState":{"allOf":[{"$ref":"#/components/schemas/domain.resource.currentState.SuspensionStateEnum"}],"description":"The domain's suspension state","nullable":true,"readOnly":true}}},"domain.resource.currentState.AlldomTypesEnum":{"type":"string","description":"Authorized types of AllDom services","enum":["FRENCH","FRENCH+INTERNATIONAL","INTERNATIONAL"]},"domain.resource.currentState.ExtensionsEnum":{"type":"string","description":"The extensions that can be used by AllDom services","enum":["be","biz","com","eu","fr","info","net","org"]},"domain.resource.currentState.MainStateEnum":{"type":"string","description":"Authorized values for mainState field","enum":["DELETED","EXPIRED","OK","PENDING_CREATE","PENDING_DELETE","PENDING_INTERNAL_TRANSFER","PENDING_OUTGOING_TRANSFER","RESTORABLE","TO_DELETE"]},"domain.resource.currentState.RegistrationStatusEnum":{"type":"string","description":"The registration status of a domain name, from an AllDom point of view","enum":["REGISTERED","UNREGISTERED"]},"domain.resource.currentState.SuspensionStateEnum":{"type":"string","description":"Authorized values for suspensionState field","enum":["NOT_SUSPENDED","SUSPENDED"]},"domain.resource.currentState.dnsConfiguration.NameServer":{"type":"object","description":"Information about a name server","properties":{"ips":{"type":"array","description":"IP addresses associated to the name server","nullable":true,"items":{"$ref":"#/components/schemas/ip"},"readOnly":true},"ipv4":{"allOf":[{"$ref":"#/components/schemas/ipv4"}],"description":"Deprecated. Use `ips` instead, which carries every address of the name server.","nullable":true,"readOnly":true},"ipv6":{"allOf":[{"$ref":"#/components/schemas/ipv6"}],"description":"Deprecated. Use `ips` instead, which carries every address of the name server.","nullable":true,"readOnly":true},"nameServer":{"type":"string","description":"The host name","readOnly":true},"nameServerType":{"allOf":[{"$ref":"#/components/schemas/domain.resource.currentState.dnsConfiguration.NameServerTypeEnum"}],"description":"The type of name server","readOnly":true}}},"domain.resource.currentState.dnsConfiguration.NameServerTypeEnum":{"type":"string","description":"Possible name server types","enum":["ANYCAST","DEDICATED","EMPTY","EXTERNAL","HOLD","HOSTING","MIXED","PARKING"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"iam.ResourceMetadata":{"type":"object","description":"IAM resource metadata embedded in services models","properties":{"displayName":{"type":"string","description":"Resource display name","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource","format":"uuid","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata.StateEnum"}],"description":"Resource state","nullable":true,"readOnly":true},"tags":{"type":"object","description":"Resource tags. Tags that were internally computed are prefixed with ovh:","nullable":true,"additionalProperties":{"type":"string"},"readOnly":true},"urn":{"type":"string","description":"Unique resource name used in policies","readOnly":true}}},"iam.ResourceMetadata.StateEnum":{"type":"string","description":"Resource state","enum":["EXPIRED","IN_CREATION","OK","SUSPENDED"]},"iam.resource.TagFilter":{"type":"object","description":"Resource tag filter","properties":{"operator":{"allOf":[{"$ref":"#/components/schemas/iam.resource.TagFilter.OperatorEnum"}],"description":"Operator to use in order to filter on the value. Defaults to `EQ`.","nullable":true,"readOnly":true},"value":{"type":"string","description":"Value to use in order to filter tags","readOnly":true}}},"iam.resource.TagFilter.OperatorEnum":{"type":"string","description":"Operator that can be used in order to filter resources tags","enum":["EQ","EXISTS","ILIKE","LIKE","NEQ","NEXISTS"]},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/domain/alldom":{"get":{"operationId":"getAllDoms","summary":"List all the AllDom resources","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"iamTags","description":"Filter resources on IAM tags","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/iam.resource.TagFilter"}}}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/domain.AlldomWithIAM"}},"examples":{"List all the AllDom resources":{"value":[{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2b","currentState":{"domains":[{"name":"alldom-french-example.be","registrationStatus":"UNREGISTERED"},{"dnssecActivated":false,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"eu","mainState":"OK","name":"alldom-french-example.eu","nameServers":[],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"dnssecActivated":true,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"fr","mainState":"OK","name":"alldom-french-example.fr","nameServers":[{"nameServer":"dns1.ovh.net","nameServerType":"HOSTING"},{"nameServer":"ns1.ovh.net","nameServerType":"HOSTING"}],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"}],"extensions":["be","eu","fr"],"name":"alldom-french-example","type":"FRENCH"},"currentTasks":[],"id":"alldom-french-example","resourceStatus":"READY"},{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2c","currentState":{"domains":[{"name":"alldom-international-example.biz","registrationStatus":"UNREGISTERED"},{"dnssecActivated":false,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"com","mainState":"OK","name":"alldom-international-example.com","nameServers":[],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"name":"alldom-international-example.info","registrationStatus":"UNREGISTERED"},{"name":"alldom-international-example.net","registrationStatus":"UNREGISTERED"},{"name":"alldom-international-example.org","registrationStatus":"UNREGISTERED"}],"extensions":["biz","com","info","net","org"],"name":"alldom-international-example","type":"INTERNATIONAL"},"currentTasks":[],"id":"alldom-international-example","resourceStatus":"READY"},{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2d","currentState":{"domains":[{"name":"alldom-french-international-example.be","registrationStatus":"UNREGISTERED"},{"name":"alldom-french-international-example.biz","registrationStatus":"UNREGISTERED"},{"dnssecActivated":false,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"com","mainState":"OK","name":"alldom-french-international-example.com","nameServers":[],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"dnssecActivated":false,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"eu","mainState":"OK","name":"alldom-french-international-example.eu","nameServers":[],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"dnssecActivated":true,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"fr","mainState":"OK","name":"alldom-french-international-example.fr","nameServers":[{"nameServer":"dns1.ovh.net","nameServerType":"HOSTING"},{"nameServer":"ns1.ovh.net","nameServerType":"HOSTING"}],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"name":"alldom-french-international-example.info","registrationStatus":"UNREGISTERED"},{"name":"alldom-french-international-example.net","registrationStatus":"UNREGISTERED"},{"name":"alldom-french-international-example.org","registrationStatus":"UNREGISTERED"}],"extensions":["be","biz","com","eu","fr","info","net","org"],"name":"alldom-french-international-example","type":"FRENCH+INTERNATIONAL"},"currentTasks":[{"id":"123e4567-e89b-12d3-a456-000111111134","link":"v2/domain/alldom/alldom-french-international-example/task/123e4567-e89b-12d3-a456-000111111134","status":"SCHEDULED","type":"AlldomDelete"}],"id":"alldom-french-international-example","resourceStatus":"DELETING"}],"summary":"The payload returned when we ask to list all the AllDom resources"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","AllDom@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/alldom\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/alldom\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:alldom/get","required":true}],"x-expanded-response":"DomainAlldomWithIAM"}},"/domain/alldom/{alldomName}":{"get":{"operationId":"getAllDom","summary":"Get an AllDom resource","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"alldomName","description":"Alldom name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/domain.AlldomWithIAM"},"examples":{"Get an AllDom resource":{"value":{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2b","currentState":{"domains":[{"name":"alldom-french-example.be","registrationStatus":"UNREGISTERED"},{"dnssecActivated":false,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"eu","mainState":"OK","name":"alldom-french-example.eu","nameServers":[],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"},{"dnssecActivated":true,"expiresAt":"2023-11-12T17:10:20+01:00","extension":"fr","mainState":"OK","name":"alldom-french-example.fr","nameServers":[{"nameServer":"dns1.ovh.net","nameServerType":"HOSTING"},{"nameServer":"ns1.ovh.net","nameServerType":"HOSTING"}],"protectionState":"PROTECTED","registrationStatus":"REGISTERED","suspensionState":"NOT_SUSPENDED"}],"extensions":["be","eu","fr"],"name":"alldom-french-example","type":"FRENCH"},"currentTasks":[],"id":"alldom-french-example","resourceStatus":"READY"},"summary":"Retrieve an AllDom resource"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","AllDom@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/alldom/{alldomName}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/alldom/{alldomName}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:alldom/get","required":true}]}},"/domain/alldom/{alldomName}/task":{"get":{"operationId":"getAllDomTasks","summary":"List tasks related to a managed AllDom resource","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"alldomName","description":"Alldom name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common.Task"}},"examples":{"List tasks related to an AllDom resource":{"value":[{"createdAt":"2024-03-20T08:58:29.32968Z","errors":[],"finishedAt":null,"id":"045a727b-c79d-4225-8d95-65c5fda86063","link":"v2/alldom/name/example/task/045a727b-c79d-4225-8d95-65c5fda86063","message":"Schedule AlldomDelete operation","progress":[],"startedAt":null,"status":"PENDING","type":"AlldomDelete","updatedAt":"2024-03-20T08:58:29.32968Z"}],"summary":"Response returned when listing all the Alldom's tasks"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","AllDom@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/alldom/{alldomName}/task\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/alldom/{alldomName}/task\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:alldom/task/get","required":true}],"x-response-identifier":"id","x-expanded-response":"CommonTask"}},"/domain/alldom/{alldomName}/task/{taskId}":{"get":{"operationId":"getAllDomTask","summary":"Get a specific task related to a managed AllDom resource","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"alldomName","description":"Alldom name","required":true,"schema":{"type":"string"}},{"in":"path","name":"taskId","description":"Task ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.Task"},"examples":{"Get a task associated to an AllDom resource":{"value":{"createdAt":"2024-03-20T08:58:29.32968Z","errors":[],"finishedAt":null,"id":"045a727b-c79d-4225-8d95-65c5fda86063","link":"v2/domain/alldom/example/task/045a727b-c79d-4225-8d95-65c5fda86063","message":"Schedule AlldomDelete operation","progress":[],"startedAt":null,"status":"PENDING","type":"AlldomDelete","updatedAt":"2024-03-20T08:58:29.32968Z"},"summary":"Retrieve a specific task"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","AllDom@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/alldom/{alldomName}/task/{taskId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/alldom/{alldomName}/task/{taskId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:alldom/task/get","required":true}],"x-response-identifier":"id"}}}}
